package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "脚本步骤实体")
public class CommandDetailDto implements Serializable {
    @ApiModelProperty("步骤ID")
    private String id;
    @ApiModelProperty("是否跳过 true-跳过 false-不跳")
    private boolean skip;
    @ApiModelProperty("步骤引用的组件库ID")
    private String componentLib;
    @ApiModelProperty("步骤命令")
    private String command;
    @ApiModelProperty("步骤操作对象")
    private List<TargetDto> targets;
    @ApiModelProperty("步骤主标题")
    private String title;
    @ApiModelProperty("步骤缩略图")
    private String imgUri;
    @ApiModelProperty("子步骤数组")
    private List<CommandDetailDto> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isSkip() {
        return skip;
    }

    public void setSkip(boolean skip) {
        this.skip = skip;
    }

    public String getComponentLib() {
        return componentLib;
    }

    public void setComponentLib(String componentLib) {
        this.componentLib = componentLib;
    }

    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public List<TargetDto> getTargets() {
        return targets;
    }

    public void setTargets(List<TargetDto> targets) {
        this.targets = targets;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getImgUri() {
        return imgUri;
    }

    public void setImgUri(String imgUri) {
        this.imgUri = imgUri;
    }

    public List<CommandDetailDto> getChildren() {
        return children;
    }

    public void setChildren(List<CommandDetailDto> children) {
        this.children = children;
    }
}
